Subject: bug#2436: cc mode font-locking -vs- multi-line strings

From: Glenn Morris <[email-masked]>
Date: Mon, 03 Oct 2011 15:46:37 -0400

As was pointed out, there is an unescaped left paren in column 0 (at
line 2560). If this is escaped, the problem goes away.

However, there does at least seem to be a documentation bug, because
cc-mode.texi's FAQ says:

    @emph{I have an open paren character at column zero inside a comment or
    multiline string literal, and it causes the fontification and/or
    indentation to go haywire.  What gives?}

    [...]
    This heuristic is built into the core syntax analysis routines in
    (X)Emacs, so it's not really a @ccmode{} issue.  However, in Emacs
    21.1 it became possible to turn it off@footnote{Using the variable
    @code{open-paren-in-column-0-is-defun-start}.} and @ccmode{} does so
    there since it's got its own system to keep track of blocks.

However, open-paren-in-column-0-is-defun-start is true in c-mode.
It seems the relevant setting in cc-mode.el was commented out 2006/12/17.